package cn.teammodel.controller.admin.service;

import cn.teammodel.model.dto.admin.art.ArtFindDto;
import cn.teammodel.model.dto.admin.art.DataFileCommentDto;
import cn.teammodel.model.dto.admin.art.DataFileDto;
import cn.teammodel.model.dto.admin.common.GroupDto;
import cn.teammodel.model.dto.admin.common.RGroupList;
import cn.teammodel.model.vo.admin.ArtElementsVo;
import cn.teammodel.model.vo.admin.DataFileVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ArtService {
    List<ArtElementsVo> getArtList(ArtFindDto artFindDto, HttpServletRequest request);
    List<RGroupList> getGroupList(GroupDto groupDto, HttpServletRequest request);
    List<DataFileVo> getPdfData(DataFileDto dataFileDto,HttpServletRequest request);
    List<DataFileVo> updateComment(DataFileCommentDto dataFileCommentDto, HttpServletRequest request);
}
